package sun.security.tools.policytool;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

class AddPermButtonListener implements ActionListener
{
    private PolicyTool tool;
    private ToolWindow tw;
    private ToolDialog td;
    private boolean editPolicyEntry;
    
    AddPermButtonListener(PolicyTool tool, ToolWindow tw, ToolDialog td, boolean editPolicyEntry) {
        this.tool = tool;
        this.tw = tw;
        this.td = td;
        this.editPolicyEntry = editPolicyEntry;
    }
    
    @Override
    public void actionPerformed(ActionEvent actionEvent) {
        this.td.displayPermissionDialog(this.editPolicyEntry, false);
    }
}
